Add file upload when editing documents
Status: New Start date:
Assignee: % Done: 0%
Category: Documents Estimated time: 0.00 hour
Target version: Unplanned backlogs

Resolution:

Description

On documents module, add/edit/remove attachments is missing when document is edited...

History

#1 - 2019-12-18 02:27 - Yuichi HARADA
- File change_editing_document.png added
- File 31472-add-file-upload.patch added

This patch adds features similar to #16410 to the documents.
When editing a document, you can operate (add and bulk delete) the attachments.

change_editing_document.png

#2 - 2019-12-18 04:30 - Mischa The Evil
- Target version set to Unplanned backlogs
Sweet! Thanks for sharing the patch. Scheduled without substantive patch review.

NB: I think it would be nice to introduce this functionality similarly for the remaining attachment containers (news and messages) too.

#3 - 2020-08-20 02:08 - Yuichi HARADA

Mischa The Evil wrote:

NB: | think it would be nice to introduce this functionality similarly for the remaining attachment containers (news and messages) too.

Thank you for your suggestions. | would be happy if you could create new issues.

#4 - 2021-03-12 06:41 - Yuichi HARADA
- File 31472-add-file-upload-v2.patch added
Yuichi HARADA wrote:

This patch adds features similar to #16410 to the documents.
When editing a document, you can operate (add and bulk delete) the attachments.

When performing bulk delete, the Attachment's after_commit callback method Attachment#delete_from_disk was not executed.
| fixed a patch.

#5 - 2021-03-12 08:26 - Yuichi HARADA
- File 31472-add-file-upload-v3.patch added
Yuichi HARADA wrote:

Yuichi HARADA wrote:

This patch adds features similar to #16410 to the documents.
When editing a document, you can operate (add and bulk delete) the attachments.
When performing bulk delete, the Attachment's after_commit callback method Attachment#delete_from_disk was not executed.

| fixed a patch.

| have improved Document#delete_selected_attachments.

#6 - 2024-07-29 03:57 - de zhang
- File 31472-add-file-upload-v5. 1.patch added

Yuichi HARADA wrote in #note-5:

Yuichi HARADA wrote:

Yuichi HARADA wrote:

This patch adds features similar to #16410 to the documents.
When editing a document, you can operate (add and bulk delete) the attachments.

When performing bulk delete, the Attachment's after_commit callback method Attachment#delete_from_disk was not executed.

| fixed a patch.

| have improved Documenti#delete_selected_attachments.

Thank you for your code. | have ported the 31472-add-file-upload-v3 to Redmine V5.1
